Subject: bug#49724: 27.2; Tramp /sudoedit:: does not preserve file security context

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Jul 2021 14:18:42 +0200

Eli Zaretskii <[email-masked]> writes:

Hi,

>> >> > Did you try to use backup-by-copying, with or without
>> >> > backup-by-copying-when-privileged-mismatch?
>> >>
>> >> No, I can try again with an emacs -Q and some certain variables set if you require.
>> >
>> > Michael, could that help?
>>
>> It's already on my todo, but rather for tomorrow.
>
> I'm asking whether using backup-by-copying could have helped the OP in
> that use case.  If it could, I'd ask the OP to try that, but if you
> say this is currently a deficiency for which we have no solution, then
> the OP doesn't need to try backup-by-copying.

There was indeed an error in tramp-sudoedit.el, which I could reproduce
locally. Shall be fixed now by last commit to master.

Best regards, Michael.